Subject: Re: [PATCH v3 3/3] trace.h: remove never-used TRACE_CONTEXT

From: Junio C Hamano <[email-masked]>
Date: Sun, 20 Feb 2022 04:02:34 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> The definition of "TRACE_CONTEXT" as "__FILE__" added in
> e05bed960d3 (trace: add 'file:line' to all trace output, 2014-07-12)
> appeared between v6[1] and v7[2] of the series that added it.
>
> It does not appear to have been something anybody asked for, and
> doesn't seem to have been used by anyone since then to override it to
> something other than the default __FILE__.

Sorry, but I do not quite follow.  How can we claim nobody used it,
given that it should be usable with CFLAGS=-DTRACE_CONTEXT=ANYTHING?

On the other hand, I do not see how it is hurting anybody to have
this indirection today.

Or am I missing something obvious?